## python-momepy 0.8.1

=== docs/requirements.txt ===
matplotlib
sphinxcontrib.bibtex
numpydoc
pydata_sphinx_theme
nbsphinx
ipython
myst-parser
sphinx_copybutton
sphinx-gallery
sphinxext-rediraffe

## python-momepy 0.7.0

=== debian/changelog ===
python-momepy (0.7.0-3) unstable; urgency=medium

  * Restrict autopkgtest to Architecture: amd64 arm64 ppc64el.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 17:04:28 +0200

python-momepy (0.7.0-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Apr 2024 07:55:23 +0200

python-momepy (0.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1066927)

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 13:14:41 +0200

=== debian/control ===
Source: python-momepy
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
Build-Depends-Indep:
 python3-geopandas,
 python3-ipython,
 python3-libpysal,
 python3-mapclassify,
 python3-matplotlib,
 python3-myst-parser,
 python3-nbsphinx,
 python3-networkx,
 python3-numpydoc,
 python3-packaging,
 python3-pandas,
 python3-pydata-sphinx-theme,
 python3-pypandoc,
 python3-pytest,
 python3-shapely,
 python3-sphinx-copybutton,
 python3-sphinx-gallery,
 python3-sphinxcontrib.bibtex,
 python3-tqdm,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/python-momepy
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/python-momepy.git
Homepage: https://github.com/pysal/momepy

Package: python3-momepy
Architecture: all
Depends:
 python3-geopandas,
 python3-libpysal,
 python3-mapclassify,
 python3-networkx,
 python3-packaging,
 python3-pandas,
 python3-shapely,
 python3-tqdm,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-momepy-doc,
Description: Urban Morphology Measuring Toolkit - Python 3.x
 Momepy is a library for quantitative analysis of urban form - urban
 morphometrics. It is part of PySAL (Python Spatial Analysis Library) and is
 built on top of GeoPandas, other PySAL modules, and networkX.
 .
 This package contains the Python 3.x module.

Package: python-momepy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Urban Morphology Measuring Toolkit - doc
 Momepy is a library for quantitative analysis of urban form - urban
 morphometrics. It is part of PySAL (Python Spatial Analysis Library) and is
 built on top of GeoPandas, other PySAL modules, and networkX.
 .
 This package contains the documentation.

## python-momepy 0.8.1

=== debian/changelog ===
python-momepy (0.8.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS (Closes: #1086375).
  * Removed doc patches.
  * Recreate remove-rediraffe-from-sphinx-doc.patch.
  * Switch the doc to rtd theme.
  * Re-add a new fix-privacy-breach-in-docs.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Oct 2024 13:45:57 +0100

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
  python3-shapely,
  python3-sphinx-copybutton,
  python3-sphinx-gallery,
+ python3-sphinx-rtd-theme,
  python3-sphinxcontrib.bibtex,
  python3-tqdm,
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/pysal/momepy
include /usr/share/openstack-pkg-tools/pkgos.make

export SETUPTOOLS_SCM_PRETEND_VERSION=$(shell dpkg-parsechangelog -SVersion | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~git.*//' -e 's/~bpo.*//' -e 's/~/.0/' -e 's/+dfsg1//' -e 's/+ds1//' | head -n 1)

export PYBUILD_NAME=monepy
export PYBUILD_TEST_ARGS=momepy/tests -v -k 'not test_Theil and not test_Gini and not test_Alignment'

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info docs/generated
	rm -rf debian/python3-monepy
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	dh_auto_clean

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-momepy-doc/usr/share/doc/python-momepy-doc/html
	dh_sphinxdoc
endif

# Not sure why, but this package doesn't get installed automatically... :/
# Let's get it in manually.
override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/python3-momepy/usr/lib/python3/dist-packages
	cp -axuf .pybuild/cpython3_`py3versions -dv`_monepy/build/momepy* $(CURDIR)/debian/python3-momepy/usr/lib/python3/dist-packages

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/momepy/momepy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
